package com.chenyang.nse.bussiness.entity.orm.table.core.strategy.masking.app;

import com.chenyang.nse.bussiness.entity.orm.table.TInitEntity;
import com.chenyang.nse.bussiness.entity.orm.table.core.strategy.masking.relevance.MaksingJoinTableInfo;
import java.util.List;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;

@Entity
@Table(
   name = "t_console_masking_appdatarule"
)
public class MaksingAppDataRule extends TInitEntity {
   private String name;
   private String strategytype;
   private String remark;
   private String enablestatus;
   private String datasystemid;
   @Transient
   private List<MaksingJoinTableInfo> tableinfo;

   public String getName() {
      return this.name;
   }

   public void setName(String name) {
      this.name = name;
   }

   public String getRemark() {
      return this.remark;
   }

   public void setRemark(String remark) {
      this.remark = remark;
   }

   public String getDatasystemid() {
      return this.datasystemid;
   }

   public void setDatasystemid(String datasystemid) {
      this.datasystemid = datasystemid;
   }

   public String getEnablestatus() {
      return this.enablestatus;
   }

   public void setEnablestatus(String enablestatus) {
      this.enablestatus = enablestatus;
   }

   public String getStrategytype() {
      return this.strategytype;
   }

   public void setStrategytype(String strategytype) {
      this.strategytype = strategytype;
   }

   public List<MaksingJoinTableInfo> getTableinfo() {
      return this.tableinfo;
   }

   public void setTableinfo(List<MaksingJoinTableInfo> tableinfo) {
      this.tableinfo = tableinfo;
   }
}
